<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!--手绘 -->
<style>
    .p {
        color: green;
        font-weight: 400;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">手绘</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="手绘">
            <p>
                类型
            </p>
            <div class="layui-form-item">
                <input type="radio" name="kindValue" lay-filter="kindValue" value="1" title="餐饮（烘焙/饮品/菜品）" checked>
                <input type="radio" name="kindValue" lay-filter="kindValue" value="2" title="宠物">
                <input type="radio" name="kindValue" lay-filter="kindValue" value="3" title="原创（客户只提供文案 设计手绘）">
                <input type="radio" name="kindValue" lay-filter="kindValue" value="4" title="地图">
                <%--                <input type="radio" name="kindValue" lay-filter="kindValue" value="5" title="风裳旗舰店">--%>
                <input type="radio" name="kindValue" lay-filter="kindValue" value="6" title="人物">
                <input type="radio" name="kindValue" lay-filter="kindValue" value="7" title="人物+背景">
                <input type="radio" name="kindValue" lay-filter="kindValue" value="8" title="婚礼">
                <input type="radio" name="kindValue" lay-filter="kindValue" value="9" title="班旗">
            </div>
            <p>
                难度
            </p>
            <div class="layui-form-item" id="difficulty">

            </div>
            <p>
                数量（个） <span style="font-size:14px;color:red">默认一个无法修改</span>
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="count" id="count" class="layui-input"
                       value="1" readonly>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var table = layui.table;
        var carousel = layui.carousel;

        ins = carousel.render({});


        function getProductImage() {
            $("#carousel").empty();
            $(".layui-carousel-ind").remove();
            let kindvalue = $("input[name='kindValue']:checked").val();
            let data = {proTypeValue: '手绘', kindValue: kindvalue}
            let html = "";
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on('radio(kindValue)', (data) => {
            let kindvalue = data.value;
            $("#difficulty").empty();
            let html = ``;
            if (kindvalue == 4 || kindvalue == 5) {
                html = `<input type="radio" name="kind1Value" lay-filter="kind1Value" value="1" title="简易" checked/>
                <input type="radio" name="kind1Value" lay-filter="kind1Value" value="2" title="复杂"/>`;
            }
            if (kindvalue == 6 || kindvalue == 8) {
                html = `<input type="radio" name="kind1Value" lay-filter="kind1Value" value="1" title="半身" checked/>
                <input type="radio" name="kind1Value" lay-filter="kind1Value" value="2" title="全身"/>`;
            }
            $("#difficulty").append(html);
            form.render();
            getProductImage()
        })
        let kind_name = [
            "",
            "餐饮（烘焙/饮品/菜品）",
            "宠物",
            "原创（客户只提供文案 设计手绘）",
            "地图",
            "风裳旗舰店",
            "人物",
            "人物+背景",
            "婚礼",
            "班旗",
        ]
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })
        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count").val();
            var kind = $("input[name='kindValue']:checked").val();
            var kind1Value = $("input[name='kind1Value']:checked").val();
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    let type = "";
                    if (kind1Value) {
                        type = "-"
                        if (kind == 4 || kind == 5) {
                            type += kind1Value == 1 ? "简易" : "复杂"
                        }
                        if (kind == 6 || kind == 8) {
                            type += kind1Value == 1 ? "半身" : "全身"
                        }
                    }
                    let arr = []
                    $("input[name='craft']:checked").each(function () {
                        if (!$(this).is("disabled")) {
                            if ($(this).val() == "抠图") {
                                arr.push($(this).val() + $("input[name='cropNumber']").val());
                                return;
                            }
                            arr.push($(this).val())
                        }
                    })
                    arr.push(type)
                    var span_result = '手绘 - ' + kind_name[kind] + ' (同款内容)\n';
                    if (arr.length > 0) {
                        span_result += "工艺：" + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    getRemark("手绘", size, count + "个", kind, number, "", "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>